Subject: [os2genau_digest] No. 799
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 9 Feb 2004 00:01:02 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Sunday 08 February 2004
 Number  799
**************************************************

Subjects for today
 
1   WPS & MS Code : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
2  Re:  New yahoogroup for eioffice on OS/2 : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
3  Re:  Warp 64?? : Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
4  Re:  WPS & MS Code : Ian Manners" <deadmail>
5  Re:  WPS & MS Code : Dennis Nolan <denny at alphalink dot com dot au>
6  Re:  WPS & MS Code : Gavin Miller <drumextreme at impulse dot net dot au>
7  Re:  WPS & MS Code : Kris Steenhaut <kris.steenhaut at hccnet.nl>
8  Re:  New yahoogroup for eioffice on OS/2 : Ed Durrant <edurrant at bigpond dot net dot au>

**= Email   1 ==========================**

Date:  Sun, 08 Feb 2004 11:53:04 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:   WPS & MS Code

>It is a shame that the WPS still contains MS code, as it would be ideal to
>move the WPS onto the Linux Kernel but thats just a fading dream.

Huh? Not likely.

IBM's WPS is a SOM based solution which was IBM's own...

If I'm wrong I'd love to know were you obtained this information.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 08 Feb 2004 11:54:20 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  New yahoogroup for eioffice on OS/2

On Sat, 07 Feb 2004 08:07:47 +1100, Ed Durrant wrote:

>For those interested in getting EIOFFICE the Java, MS Office
>compatible office package from the chinese evermore software
>company to work on OS/2 and eCS, I have set up a Yahoogroup
>called eioffice. Please go to www.yahoogroups dot com to
>subscribe if you are interested.
>
>I am in direct contact with evermore software are they are
>eager to make this work fully on os/2.
>
>I have already sent invites to those who have corresponded

I didn't get one!

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 08 Feb 2004 11:56:05 +1100 (EDT)
From:  "Chris Graham [WarpSpeed]" <chrisg at warpspeed dot com dot au>
Subject:  Re:  Warp 64??

On Sat, 07 Feb 2004 10:20:12 +1000, David Shearer wrote:

>What is the point about 64 bit anyway - where is the 64bit applications that would exploit the power of the 
>system?  It is like saying back in 1985 I want a 386 but had to wait ten years before there was any true 32bit 
>software etc.

Even that would not help, unless the Kernel was aware of 64 bit mode and
could provide you with 64 bit addressing, which it can not.

SO, the best that you could hope for is to have lots of large 32 bit chunks
inside a 64 bit machine, but a chunk of 64 bit memory cann't happen.

-Chris

WarpSpeed Computers - The Graham Utilities for OS/2.
Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 08 Feb 2004 12:36:32 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  WPS & MS Code

Hi Chris

> >It is a shame that the WPS still contains MS code, as it would be ideal to
> >move the WPS onto the Linux Kernel but thats just a fading dream.
> 
> Huh? Not likely.
> 
> IBM's WPS is a SOM based solution which was IBM's own...

Thats what I thought to but others keep telling me parts of it are
still copyright MS, so it will never be ported, or the code will never
be released so it can be used elsewere. As to the 'others', I'd
have to dig back through my emails archives.

ie, this was one of the reasons given that OS/2 would never be
open sourced, also apparently why IBM didnt use the WPS in the
AIX distribution but instead developed the CDU, which is nowere
near as good as the WPS.

> If I'm wrong I'd love to know were you obtained this information.

So would I but to dig back through my archives would take some
time on a rainy day, makes me wonder why I archive things, if I
get a chance I'll go looking.

Cheers
Ian Manners
http://www.os2site dot com/

A social life?  What board can I download THAT from?
----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Sun, 08 Feb 2004 15:30:58 +1100
From:  Dennis Nolan <denny at alphalink dot com dot au>
Subject:  Re:  WPS & MS Code

Ian Manners wrote:

>Hi Chris
>
>  
>
>>>It is a shame that the WPS still contains MS code, as it would be ideal to
>>>move the WPS onto the Linux Kernel but thats just a fading dream.
>>>      
>>>
>>Huh? Not likely.
>>
>>IBM's WPS is a SOM based solution which was IBM's own...
>>    
>>
>
>Thats what I thought to but others keep telling me parts of it are
>still copyright MS, so it will never be ported, or the code will never
>be released so it can be used elsewere. As to the 'others', I'd
>have to dig back through my emails archives.
>
>ie, this was one of the reasons given that OS/2 would never be
>open sourced, also apparently why IBM didnt use the WPS in the
>AIX distribution but instead developed the CDU, which is nowere
>near as good as the WPS.
>
>  
>
>>If I'm wrong I'd love to know were you obtained this information.
>>    
>>
>
>So would I but to dig back through my archives would take some
>time on a rainy day, makes me wonder why I archive things, if I
>get a chance I'll go looking.
>
>Cheers
>Ian Manners
>http://www.os2site dot com/
>
>A social life?  What board can I download THAT from?

> 

>
>.
>
>  
>
The *.h files in the toolkit only seem to attribute copyright to IBM.

But I have not done an exhaustive search.

Regards

Dennis.

----------------------------------------------------------------------------------

**= Email   6 ==========================**

Date:  Sun, 08 Feb 2004 14:36:54 +1000
From:  Gavin Miller <drumextreme at impulse dot net dot au>
Subject:  Re:  WPS & MS Code

Wasn't it the 16 bit code from OS/2 in WinNT that's stopping OS/2 from 
going open source.  I thought that was a joint effort between IBM and 
MS.  I thought that the partnership dissolved over IBM going with the 
WPS instead of MS's "Windows" implementation.

Cheers
G

Dennis Nolan wrote:

> Ian Manners wrote:
>
>> Hi Chris
>>
>>  
>>
>>>> It is a shame that the WPS still contains MS code, as it would be 
>>>> ideal to
>>>> move the WPS onto the Linux Kernel but thats just a fading dream.
>>>>     
>>>
>>> Huh? Not likely.
>>>
>>> IBM's WPS is a SOM based solution which was IBM's own...
>>>   
>>
>>
>> Thats what I thought to but others keep telling me parts of it are
>> still copyright MS, so it will never be ported, or the code will never
>> be released so it can be used elsewere. As to the 'others', I'd
>> have to dig back through my emails archives.
>>
>> ie, this was one of the reasons given that OS/2 would never be
>> open sourced, also apparently why IBM didnt use the WPS in the
>> AIX distribution but instead developed the CDU, which is nowere
>> near as good as the WPS.
>>
>>  
>>
>>> If I'm wrong I'd love to know were you obtained this information.
>>>   
>>
>>
>> So would I but to dig back through my archives would take some
>> time on a rainy day, makes me wonder why I archive things, if I
>> get a chance I'll go looking.
>>
>> Cheers
>> Ian Manners
>> http://www.os2site dot com/
>>
>> A social life?  What board can I download THAT from?
> 
>>
>> 
>
>>
>> .
>>
>>  
>>
> The *.h files in the toolkit only seem to attribute copyright to IBM.
>
> But I have not done an exhaustive search.
>
> Regards
>
> Dennis.
>
 
>
> 

>
>

----------------------------------------------------------------------------------

**= Email   7 ==========================**

Date:  Sun, 08 Feb 2004 10:30:35 +0100
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  WPS & MS Code

Ian Manners schreef:

>still copyright MS, so it will never be ported, or the code will never
>be released so it can be used elsewere. As to the 'others', I'd
>have to dig back through my emails archives.
>
>  
>

Tell the "others" copyrights is one thing, patents is quite another. If 
something  is patented, it has been well described and defined. HPFS for 
instance, of which M$ owns or owned  the _PATENT_. The final end of that 
patent should be 2011, on condition M$ would have paid the additional 
fee in 2001 or 2002, don't recall exactly.

> http://164.195.100.11/netacgi/nph-Parser?Sect1=PTO1&Sect2=HITOFF&d=PALL&p=1&u=/netahtml/srchnum.htm&r=1&f=G&l=50&s1='5371885'.WKU.&OS=PN/5371885&RS=PN/5371885

Also, a "protected trademark" is yet  another quite different beast. The 
lifespan of a "protected trademark" could be so to speak "endless", 
meaning there is no end limit as there  is in this respect to patents 
and  (authors)copyright. Meaning the protection of the trademark will 
stand as long as the owner pays the fees and duties to the autorities.

For instance, M$ now is bullying Lindows for infriction of it' protected 
trademark. M$ got already it's way here in the BENELUX because, not that 
a surprise, "windows" is not a generic term, nor in Nederland, nor in 
Belgium nor in Luxemburg.
We have to admit it, they do play it clever.

Now, coming back to the WPS, sure nothing has been patented, meaning 
everybody can if he wants, start to build a kind alike program, by just 
beginning from scratch.

As we know even at IBM they don't know how the WPS is structered, we 
know as well it is almost a mission impossible.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------

**= Email   8 ==========================**

Date:  Sun, 08 Feb 2004 20:41:09 +1100
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  New yahoogroup for eioffice on OS/2

Hi Chris,

   I don't think you corresponded with me off-list on the topic, if you did, sorry I
missed you - I've sent out an invite now.

   Those who are interested can simply go to the yahoogroups website to join anyway.

Cheers/2

Ed.

"Chris Graham [WarpSpeed]" wrote:

> On Sat, 07 Feb 2004 08:07:47 +1100, Ed Durrant wrote:
>
> >For those interested in getting EIOFFICE the Java, MS Office
> >compatible office package from the chinese evermore software
> >company to work on OS/2 and eCS, I have set up a Yahoogroup
> >called eioffice. Please go to www.yahoogroups dot com to
> >subscribe if you are interested.
> >
> >I am in direct contact with evermore software are they are
> >eager to make this work fully on os/2.
> >
> >I have already sent invites to those who have corresponded
>
> I didn't get one!
>
> -Chris
>
> WarpSpeed Computers - The Graham Utilities for OS/2.
> Voice:  +61-3-9307-0344   Internet:   chrisg at warpspeed dot com dot au
> FAX:    +61-3-9307-0633   Web Page:   http://www.warpspeed dot com dot au
> Postal: WarpSpeed Computers, PO Box 212, Brunswick, VIC 3056, AUSTRALIA
>

>  

----------------------------------------------------------------------------------